DEVP_GOWRAP_VERSION = v1.4.3
DEVP_GOWRAP_DIR = ${DEVP_TOOLS_ROOT}/gowrap/${DEVP_GOWRAP_VERSION}
DEVP_GOWRAP_EXE = ${DEVP_GOWRAP_DIR}/gowrap

${DEVP_GOWRAP_EXE}:
ifdef DEVP_NO_INSTALL
ifneq ($(DEVP_VERSION),$(DEVP_CI_BUILDER_VERSION))
	$(call error_message,"Platform version is [${DEVP_VERSION}] image version is [${DEVP_CI_BUILDER_VERSION}]. Same version is expected. Updating with [make devp/update] might help. DEVP_NO_INSTALL == 1. See: https://mws.pages.mws-team.ru/devp/platform-go-tools/pgt/user/pages/platform-update.html")
	@exit 1
endif
	$(call error_message,"[gowrap] is expected to be installed but it is not. Please contact /duty golang for support.")
	@exit 1
endif
	$(Q) mkdir -p ${DEVP_GOWRAP_DIR}
	$(Q) CGO_ENABLED=0 GOBIN=${DEVP_GOWRAP_DIR} go install github.com/hexdigest/gowrap/cmd/gowrap@${DEVP_GOWRAP_VERSION}
	$(call green,"gowrap installed as $@")

.PHONY: devp/install/gowrap
devp/install/gowrap: ${DEVP_GOWRAP_EXE}
	@# Install gowrap - v1.4.3
